#
# spec file for package hotplug (Version 2001_04_24)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         hotplug
Summary:      enables automatic configuration of hotplugged devices
Version:      2001_04_24
Release:      47
Group:			System Environment/Kernel
License:		GPL
Url:			http://linux-hotplug.sourceforge.net/
Autoreqprov: on
Source:			%{name}-%{version}.tar.gz
Patch:			%{name}-%{version}.dif
Patch1:			hotplug.usb.diff
Source1:		suse-files.tar.gz
Provides:               usbmgr usb
Obsoletes:              usbmgr usb
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}

%description
Hotplugging is a new feature of Linux, with the goal of letting you plug in new devices and use them immediately. That means that users won't need to learn as much system administration. Systems will at least partially be autoconfiguring themselves. Initially, it includes support for USB and PCI (Cardbus) devices, and can automatically configure network interfaces.
Now that basic USB and Cardbus hotplugging seems to behave properly, upcoming work will likely involve integration with other Linux subsystems such as input, pcmcia_cs, 1394, disk/storage (starting with SCSI), networking, printing, power management such as APM and ACPI, and more. Kernel 2.5 work will improve autoconfiguration support for Linux, likely including more unified support for stable device names and user mode device management tools.

Authors:
--------
    David Brownell <dbrownell@users.sourceforge.net> 
    Greg Kroah-Hartman <kroah@users.sourceforge.net> 
    Matthew Dharm <mdharm@users.sourceforge.net> 
    Miles Lane <miles_lane@users.sourceforge.net> 
    Randy Dunlap <rdunlap@users.sourceforge.net> 
    Stephen Williams <stevewilliams@users.sourceforge.net> 
    

SuSE series: ap

%prep
%setup
%patch -p0
%setup -T -D -a 1
%patch1

%install
# build directories
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/sbin
mkdir -p ${RPM_BUILD_ROOT}/etc/hotplug
mkdir -p ${RPM_BUILD_ROOT}/etc/init.d
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.config.d
mkdir -p ${RPM_BUILD_ROOT}/var/adm/fillup-templates
# install the main hotplug script
install -m 755 sbin/* ${RPM_BUILD_ROOT}/sbin/
# install the helper hotplug scripts
cp -a -r etc/hotplug/* ${RPM_BUILD_ROOT}/etc/hotplug/
chmod a-x ${RPM_BUILD_ROOT}/etc/hotplug/*
chmod a+x ${RPM_BUILD_ROOT}/etc/hotplug/*.{rc,agent}
install -m 744 suse-files/rchotplug ${RPM_BUILD_ROOT}/etc/init.d/hotplug 
install -m 644 suse-files/hotplug.rc.config ${RPM_BUILD_ROOT}/etc/rc.config.d/hotplug.rc.config
install -m 644 suse-files/rc.config.hotplug \
               ${RPM_BUILD_ROOT}/var/adm/fillup-templates
ln -sf ../etc/init.d/hotplug $RPM_BUILD_ROOT/sbin/rchotplug

%pre
# ugly ugly...
if [ -x sbin/rcusbmgr ] ; then 
  echo "run sbin/rcusbmgr stop ..."
  chroot . sbin/rcusbmgr stop
  echo "remove stale files in etc/usbmgr/ ... "
  chroot . rm -fr etc/usbmgr/vendor etc/usbmgr/class etc/usbmgr/.update etc/usbmgr/host
  echo "run /etc/init.d/hotplug start to switch to hotplug"
  echo "^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^"
fi

%post
INSSERV=sbin/insserv
if [ -x $INSSERV ];then
  echo -e "Creating runlevel links ..."
  $INSSERV etc/init.d/hotplug
fi
FILL_NAME=var/adm/fillup-templates/rc.config.hotplug
FILLUP=bin/fillup
echo -e "Updating /etc/rc.config ..."
if [ -x $FILLUP ] ; then
  $FILLUP -m -q -d = etc/rc.config $FILL_NAME
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "/etc/rc.config and $FILL_NAME and"
  echo "update by hand."
fi

%postun
sbin/insserv etc/init.d/

%clean
find $RPM_BUILD_ROOT|sed "s#$RPM_BUILD_ROOT##"|sort > /tmp/install_file.txt
rpm -qpl %{_topdir}/RPMS/%{_arch}/*-%{release}.%{_arch}.rpm|sort > /tmp/rpm_file.txt
(diff -u /tmp/install_file.txt /tmp/rpm_file.txt > /tmp/file_diff.txt)
cat /tmp/file_diff.txt

%files
%defattr(-,root,root)
%attr(744,root,root) /sbin/hotplug
%attr(744,root,root) /sbin/rchotplug
%attr(744,root,root) /etc/init.d/hotplug
/etc/rc.config.d/hotplug.rc.config
/etc/hotplug/*
%dir /etc/hotplug
/var/adm/fillup-templates/rc.config.hotplug
%doc README ChangeLog

%changelog -n hotplug
* Sat Sep 22 2001 - olh@suse.de
- add another stderr redirection
* Tue Sep 18 2001 - olh@suse.de
- add evdev to the autoload list
* Sat Sep 15 2001 - olh@suse.de
- fix startup messages, provide rc script
* Sat Sep 15 2001 - olh@suse.de
- fix another absolut pathname in postinstall
* Sat Sep 08 2001 - olh@suse.de
- reenable LISTER in hotplug.functions for usbmodules 0.8
* Wed Sep 05 2001 - olh@suse.de
- fix insserv call again, no absolute path names
* Tue Sep 04 2001 - ro@suse.de
- fixed diff to apply after last change
* Tue Sep 04 2001 - zoz@suse.de
- changed default in hotplug.rc.config: HOTPLUG_DEBUG=no
* Fri Aug 31 2001 - olh@suse.de
- fix insserv call
* Tue Aug 28 2001 - olh@suse.de
- provide usbmgr usb, add postun section for insserv
* Tue Aug 21 2001 - olh@suse.de
- remove bogus preun section in specfile
* Sun Aug 19 2001 - olh@suse.de
- add runlevel notification
  probe hostcontrollers via hotplug.rc.config variable
  update specfile
* Sat Aug 11 2001 - olh@suse.de
- disable bogus preun section on specfile
* Sat Aug 11 2001 - olh@suse.de
- add hotplug.usb.diff
  implement HOTPLUG_MODULES_TO_UNLOAD
  remove stale usbmgr files
* Thu Aug 09 2001 - zoz@suse.de
- added/changed variables to /etc/rc.config.d/hotplug.rc.config:
- HOTPLUG_START_USB (default yes)
- HOTPLUG_START_NET (defalut no, net.agent is in a bad state)
- HOTPLUG_START_PCI (default no, works, but collides with cardmr)
- HOTPLUG_DEBUG
- /etc/rc.config.d/hotplug... is only sourced in hotplug.functions
- added debug_mesg to hotplug.functions to avoid frequently
  testing of HOTPLUG_DEBUG
- added hotplug.usb.diff to hotplug-2001_04_24.dif
* Wed Aug 08 2001 - olh@suse.de
- don't use usbmodules from usbutils.rpm as LISTER
* Wed Aug 08 2001 - olh@suse.de
- add some joysticks to the usb.handmap, no hotplug for hid devices
* Wed Aug 08 2001 - olh@suse.de
- add /etc/rc.config.d/hotplug.rc.config
* Tue Aug 07 2001 - olh@suse.de
- obsolete usbmgr and usb, stop rcusbmgr in preinstall
* Tue Aug 07 2001 - olh@suse.de
- add hotplug.usb.diff
* Thu Aug 02 2001 - zoz@suse.de
- removed stale Source lines from specfile
* Mon Jul 30 2001 - zoz@suse.de
- enhanced debug output
- added unload_drivers () to hotplug.functions
- call /etc/pcmcia/network.hotplug in net.agent
- added unregister section to net.aget
- added remove section to pci.agent
- removed RedHat-only stuff
* Thu May 31 2001 - zoz@suse.de
- initial package
